org.apache.ignite.internal.util.lang.gridfunc

## Class EqualsUuidPredicate

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.EqualsUuidPredicate

All Implemented Interfaces:
  Serializable, IgnitePredicate<UUID>

    public class EqualsUuidPredicate
    extends Object
    implements IgnitePredicate<UUID>

UUID equals predicate.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EqualsUuidPredicate(UUID nodeId)`

### Method Summary

Methods
`boolean` `apply(UUID id)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EqualsUuidPredicate

    public EqualsUuidPredicate(UUID nodeId)

Parameters:
  `nodeId` - Node ID for which returning predicate will evaluate to `true`.

### Method Detail

#### apply

    public boolean apply(UUID id)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<UUID>`
Parameters:
  `id` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017